import { Module } from '@nestjs/common';
import { FisFingerprintController } from './fis-fingerprint.controller';
import { FisFingerprintService } from './fis-fingerprint.service';
import { ClientsModule, Transport } from '@nestjs/microservices';

@Module({
  imports: [
    ClientsModule.register([
      {
        name: `SAMPLEAPP_SERVICE`,
        transport: Transport.TCP,
        options: {
          host: `0.0.0.0`,
          port: 3001
        }
      }
    ])
  ],
  controllers: [FisFingerprintController],
  providers: [FisFingerprintService],
})
export class FisFingerprintModule { }
