import { Controller, Get } from '@nestjs/common';
import { FisFingerprintService } from './fis-fingerprint.service';
import { EventPattern, MessagePattern } from '@nestjs/microservices';

@Controller()
export class FisFingerprintController {

  constructor(private readonly fisFingerprintService: FisFingerprintService) {
    //logic here
  }

  /* Testing for TCP connection */
  @MessagePattern({ cmd: 'messageTest' })
  messageTest(message: string): string {
    return `Hello there. Just Responding to Message pattern`
  }

  @EventPattern(`eventTest`)
  eventTest(message: string): void {
    console.log(`Hello there. Just Responding to Event pattern`)
  }
}
