import { Module } from '@nestjs/common';
import { FisVerificationController } from './fis-verification.controller';
import { FisVerificationService } from './fis-verification.service';
import { ClientsModule, Transport } from '@nestjs/microservices';

@Module({
  imports: [
    ClientsModule.register([
          {
            name: `SAMPLEAPP_SERVICE`,
            transport: Transport.TCP,
            options: {
              host: `0.0.0.0`,
              port: 3001
            }
          }
        ])
  ],
  controllers: [FisVerificationController],
  providers: [FisVerificationService],
})
export class FisVerificationModule {}
